<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.system.mapper.CourseCategoryMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.system.domain.CourseCategory">
            <id property="categoryId" column="category_id" jdbcType="INTEGER"/>
            <result property="categoryName" column="category_name" jdbcType="VARCHAR"/>
            <result property="categoryDescription" column="category_description" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        category_id,category_name,category_description
    </sql>
    <select id="findAll" resultType="com.zhentao.system.domain.CourseCategory">
        select * from course_category
    </select>

</mapper>
